jPicture
==
一款兼容大多数浏览器的基于 jQuery 的图片切换组件。
--
* 依赖资源：jQuery（v1.11.0或以上版本）；
* 适用环境：桌面端和移动端浏览器；
* 兼容情况：IE7+, Chrome, Firefox, Safari, 移动端浏览器(WebKit 内核)。
* 官方网站：http://jpicture.applinzi.com/

使用方法： jPicture(selector, options);
--
```html
selector: 目标元素（合法的 jQuery 选择器）；
 options: 组件配置（共有 5 个参数可配置）；
```

需要注意的是：在移动端会自动使用 slide 滑动效果（fade 无效），同时会自动移除左右切换箭头，也会自动移除下方切换按钮上面的点击事件。因为在移动端，很少会通过点击箭头和按钮来切换图片，绝大多数情况下都是通过在图片上左右滑动的方式进行切换，所以 jPicture 才做出了这些调整。自动切换可按照需要正常配置。也就是说，在移动端有且只有 autoplay 属性可进行配置，其它属性都会调用内部默认的配置。

应用示例:
--
```
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="description" content="">
        <meta name="keywords" content="">
        <link rel="stylesheet" href="jPicture.css">
        <style>
            #imgBox{width:800px;height:450px;overflow:hidden;}
        </style>
    </head>
    <body>

        <!-- HTML 主体结构，需按照此格式书写，其中的 <a> 链接可根据实际需要添加或删除 -->
        <!-- 左右箭头和切换按钮的样式可根据实际需求在 jPicture.css 文件中进行修改 -->
        <div id="imgBox">
            <div>
                <div><a href="#1"><img src="1.jpg"></a></div>
                <div><a href="#2"><img src="2.jpg"></a></div>
                <div><a href="#3"><img src="3.jpg"></a></div>
                <div><a href="#4"><img src="4.jpg"></a></div>
                <div><a href="#5"><img src="5.jpg"></a></div>   
            </div>
        </div>

        <script src="jquery-1.12.4.min.js"></script>
        <script src="jPicture.js"></script>
        <script>

            // Javascript 代码
            jPicture("#imgBox", {
                type: "slide",       // 可选，图片切换类型，slide(左右滑动) 或 fade(淡入淡出，默认)
                arrow: true,         // 可选，是否显示左右切换箭头，true(默认) 或 false
                dot: true,           // 可选，是否显示下方切换按钮，true(默认) 或 false
                dotTheme: "circle",  // 可选，下方切换按钮形状，circle(默认，圆形) 或 square(方条形)
                autoplay: 5000       // 可选，是否执行自动切换，单位：ms，省略此参数则不进行自动切换
            });

        </script>
    </body>
</html>
```

更新历史
--
* 2017-07-04 v1.0.0 发布 jPicture；
* 2017-07-06 v1.1.0 新增对移动端（WebKit 内核）的支持。
* 2017-07-10 v1.1.2 修复在移动端手动切换与自动切换同时进行的重叠问题
* 2017-08-29 v1.1.3 新增 dotTheme 参数，用于设置切换按钮的形状
